Bug 1297643 - Specific detail for ceph log and log level.
Specific detail for ceph log and log level.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.2
x86_64 Linux
unspecified Severity high
: rc
: 1.3.2
Assigned To: Aron Gunn
ceph-qe-bugs
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 00:35 EST by vickie.c
Modified: 2016-03-01 03:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 03:23:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vickie.c 2016-01-12 00:35:17 EST
Description of problem:
The documents provides how to set and enable log but no detail.
If the log level increase what kind information will record into file?
And what mean of each value in log?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Enable rbd log into log level 1/5 and set path to /var/log/ceph/rbd.log
2. Create a rbd image from client.
3. Check /var/log/ceph/ on monitor and osd severs.


Actual results:
Can not find any rbd image access information from log.

Expected results:
The log will record image create success(or fail) and some information of client IP image name, logical image size...

Additional info:
Comment 4 Federico Lucifredi 2016-02-12 10:09:18 EST
Clearly, per Dan's feedback you cannot meet the "value of each" requirement. You will NEVER, EVER, be able to meet that, it is syslog, it is unbound. So let's forget that part. Let's address the rest.

What you should focus on is having a few examples showing what level of detail is provided in the log at different log levels, that's all. It should take you an hour to do if you have a cluster to play with. You can only provide examples at the different log levels — and if there are any other details worth sharing, Dan would know, but let's have the examples at a minimum.


I am leaving this one in this release, let's just wrap it and be done with it so we can close it.
Comment 6 shilpa 2016-02-18 01:31:45 EST
Doc looks good to me.

Note You need to log in before you can comment on or make changes to this bug.